%define anolis_release 1

%global pypi_name txaio

Name:           python-%{pypi_name}
Version:        23.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Compatibility API between asyncio/Twisted/Trollius

License:        MIT
URL:            https://txaio.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/t/txaio/txaio-%{version}.tar.gz
# The test_utils module can no longer be imported from asyncio
# and is undocumented intentionaly because it's private.
# This is a hack that calls stop on the loop soon after calling run_forever().
Patch2:         run_once.patch
BuildArch:      noarch

%description
Helper library for writing code that runs unmodified on both Twisted and
asyncio.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-six
BuildRequires:  python3-test
BuildRequires:  python3-enchant >= 1.6.6
Requires:       python3-six
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Helper library for writing code that runs unmodified on both Twisted and
asyncio.

%package -n python3-%{pypi_name}-doc
Summary:        Documentation for txaio

BuildRequires:  make
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
Requires:       js-jquery

%description -n python3-%{pypi_name}-doc
Helper library for writing code that runs unmodified on both Twisted and
asyncio. Documentation in html format.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove upstream's egg-info
rm -rf %{pypi_name}.egg-info
# README is just a symlink to index.rst. Using this file as README
rm docs/index.rst
cp -a README.rst docs/index.rst

%build
%py3_build
# Build documentation
cd docs && make html
# Remove buildinfo
rm -rf _build/html/.buildinfo
# Unbundle jquery
rm -f  _build/html/_static/jquery.js
ln -s /usr/share/javascript/jquery/latest/jquery.min.js _build/html/_static/jquery.js

%install
%py3_install

%check
%pytest -v test

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}-doc
%doc docs/_build/html README.rst

%changelog
* Thu Sep 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 23.1.1-1
- Init upstream from version 23.1.1
